# Generated by Django 3.2.4 on 2021-07-02 18:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('app_lmgas', '0015_alter_pedido_id_pedido'),
    ]

    operations = [
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id_region', models.IntegerField(primary_key=True, serialize=False)),
                ('descripcion', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Direccion',
            fields=[
                ('id_direccion', models.AutoField(primary_key=True, serialize=False)),
                ('numero', models.IntegerField()),
                ('calle', models.CharField(max_length=150)),
                ('comuna', models.CharField(max_length=150)),
                ('id_cliente', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('id_region', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.region')),
            ],
        ),
    ]
